Loading...
Searching...
No Matches
url_pattern.h File Reference

URLPattern API implementation. More...

`#include "ada/implementation.h"`
`#include "ada/expected.h"`
`#include "ada/parser.h"`
`#include "ada/url_pattern_init.h"`
`#include <ostream>`
`#include <string>`
`#include <string_view>`
`#include <unordered_map>`
`#include <variant>`
`#include <vector>`

Go to the source code of this file.

## Detailed Description

URLPattern API implementation.

This header provides the URLPattern API as specified by the WHATWG URL Pattern Standard. URLPattern allows matching URLs against patterns with wildcards and named groups, similar to how regular expressions match strings.

See also
  https://urlpattern.spec.whatwg.org/
  https://developer.mozilla.org/en-US/docs/Web/API/URL_Pattern_API

Definition in file url_pattern.h.